{% extends 'asided.html' %}
{% import 'account/macros.html' as macros %}

{% block content %}
    <h1>{{ _("password_reset.title") }}</h1>
    <form action="{{ current_url(view) }}" method="post">
    {% if form.errors %}
    <div class="form-errors">
        <h4>{{ _("form.errors") }}</h4>
        <ul class="form-errors">
            {% for error in form.errors.__all__ %}
            <li>{{ _(error) }}</li>
            {% endfor %}
        </ul>
    </div>
    {% endif %}
    {{ csrf() }}
    <ul>
        {% for field in form %}
        <li class="{% if field.field.required %}required{% endif %}">
            <label for="{{ field.id_for_label }}">{{ _(field.label) }}</label>
            {{ field|safe }}
            {{ field.errors|safe }}
        </li>
        {% endfor %}
    </ul>
    <button type="submit" class="action-button">{{ _("password_reset.form.submit") }}</button>
    </form>
{% endblock %}

{% block aside %}
    <article>
        {{ _("password_reset.aside")|markdown }}
        <div class="clearfix"></div>
    </article>
{% endblock %}
